# Intro

On va regarder les organisations et les petits bonshommes qui la font. Avec l'autre cours (management RH) on aura ainsi une vision macro et micro !

La sociologie de l'orga permet d'optimiser, de faire que ça fonctionne, fonctionne bien, fonctionne mieux.  
Exemple du métro : si le fléchage est mauvais, les gens vont un peu n'importent comment, les flux sont bordelliques, c'est la merde et on pert en efficience (moins de gens par rame, lenteur dans les couloirs...). En modifiant simplement le fléchage on corrige tout ça. Il suffit donc souvent de changer un seul truc pour que ça roule !

## Examen

À rendre pour le 17 juin. Il s'agit d'une étude, sous un angle choisi, de notre entreprise.  
Format du nom de fichier :  SG1_NOM_Prenom.doc  
20 pages minimum

### Consignes

Développer 20 concepts (de sociologie, pas de management) à partir d'une analyse interne de notre entreprise.  
Il faut gérer une analyse fine : savoir dire que faire face à telle ou telle situation/façon d'agir (ex : comment gérer les notes de frais...). Être dans une quête de rationnalité : comment faire pour que l'on fonctionne **mieux** ?

Le management par les flux, c'est le top si c'est bien fait. On peut donc se poser la question de comment la réaliser ? Notre organisation y est-elle ? Comment l'atteindre ?  
On va montrer comment fonctionnent les boites. On doit voir comment gagner le plus d'argent en peaufinant chaque élément. 

Mettre en annexes les observations qu'on a pu faire en entreprise. Ces observations ne comptent pas dnas les 20 pages ! On s'en sert pour tirer nos 20 concepts. 

Attention à **prendre en considération le contexte** !

DAS = Domaine d'Activité Stratégique. C'est un sous-domaine de l'activité à développer (avec le client) pour amélmiorer la productivité et le rendement. Si on en a des potentiels, il faut savoir les identifier et donc trouver les bonnes problématiques.

### Conseils

Quand on cherche les concepts de socio, penser à Fayol : on va en retrouver beaucoup chez lui. Attention cependant à ne pas basculer sur des concepts de management : Fayol peut être piégeux.

La bureaucratie au sens Weber est très utile pour le dossier. Faire notamment un point sur comment fonctionnent les différents principes d'action de la domination légale dans notre entreprise. 

À mettre obligatoirement : un point sur la quête de rationnalité

Montrer un exemple du conditionnement opérant. 

# I - Introduction à la sociologie des organisations

## 1 - Organisation, entreprise, institution

### 1.1 - L'organisation

Mettre de l'ordre dans une situation considérée en désordre. L'action d'organiser est un processus plus ou moins volontaire car c'est parfois pas intentionnel : on s'organise par la force des choses, par besoin immédiat. 

Les organisation se caractérisent par des individues réalisant un objectif officiellement commun. L'idée est d'arriver à une synergie.  
Il faut bien vérifier et faire attention à la réalité : il y a l'objectif de façade, et ce que font les différents services de l'entreprise en réalité. Ainsi les entreprises "marchent en crabe" : il faut arriver à les refaire marcher droit.

Gros essor des organisations au XX^ème^ siècle. On en est aujourd'hui entourés de structures : on ne peut plus s'en défaire, ou très difficilement (fin fond d'un désert our certaines zonies de montagne...).

Ces organisation sont importantes à plusieurs niveaux. Notamment, elles fournissent des services de façon efficace. Il y a un confort autour du service : une orga pour fonctionner fournit tous les services qui font que le client se sent bien et revient.  
Elles concilient aussi des besoin divers de leurs employés (diversité, éthique, motivation...) qui sont des éléments discutables, pouvant changer selon le point de vue. 

### 1.2 L'entreprise

Basiquement, toute entité légale qui produit des biens/services. Parmis ses caractéristiques, on remarque que son activité est fixe : des gens qui la composent vont disparaitre mais la boîte va continuer. Elle est également fondée sur une prise de risque, un pari initial. 

L'entreprise est une organisation : on y retrouve action colective et autonomie. Certaines activités sont plus exotiques genre vendre des brevets ou distribuer des biens/services seulement.

### 1.3 L'institution

Ensemble de normes sociales, de règles explicites propres à une société et auxquelles les gens se conforment. 

Ces normes sont extérieures : même si on est pas d'accord, on a pas le choix ! Elles sont également contraignantes et sanctionnées. D'un pays à l'autres, les valeurs qui sous-tendenht les insitutions changent. 

### 1.4 L'efficacité de l'organisation

Elle se définit notamment par la performance : ensemble de repères qui permettent de juger de l'orga. 

Il y a une différence entre efficace et efficient :  l'un touche au rapport entre les résultats obtenus et les objectifs fixés, l'autre au rapport entre les moyens utilisés et les résultats obtenus.

Une entreprise cherche à atteindre plusieurs buts : les principaux touchent à la production, au besoin du public, au fonctionnement de l'organisation, d'autres sont dérivés et ne touchent pas directement aux besoins de production mais permettrent d'améliorer les résultats, genre les buts politiques (ex : protection de l'amendement des armes pour une entreprise qui en fabrique).

Ces buts existent de façon simultanée, et sont d'importances différentes qui peuvent varier. Par exemple lors de la crise de 2008, le CA est devenu brusquement beaucoup plus important que la marge, alors qu'avant et après cette crisé c'était la marge qui prédominait. On cible donc ce qui permet à l'entreprise de prospérer.  
Souvent il y a des buts officiels, généraux et vagues, et des buts opératoires plus concrets. Certaines grosses entreprises annoncent un objectif global vague et font exactement l'inverse (_Don't be evil !_).

Un entreprise a 4 parties prenantes, chacun agit selon des intérêts différents et juger l'efficacité selon des critères différents :

- Actionnaire
- Salarié
- Client
- Environnement.

L'actionnaire peut gérer ou non : il laisse alors un salarié diriger. Attention au salarié dirigeant qui peut agir au détriment des salariés, des actionnaires ou des clients : il n'agit pas forcément dans l'intérêt de l'entreprise mais du sien !

Pour observer la santé d'une organisation, on regarde surtout sa croissance et sa structure. Il faut également veiller à satisfaire les intérêts des employés.  
La stabilité est un point important. Notamment le turn-over qui est à surveiller : si aucun c'est que c'est trop confortable, si beaucoup c'est que quelque chose ne va pas.

## 2 - La sociologie des organisations

### 2.1 - Définition

Actions des individus et des groupes dans le fonctionnement de l'organisation

### 2.2 - Objectifs de la socio des orgas

Expliquer ces comportements et relations,; qu'ils soient conformes ou non aux règles prescrites.

Le champ d'analyse de la socio des orgas s'est déplacé avec l'arrivée de l'informatique (télétravail, régie...)

### 2.3 - Les problèmes liés à la construction des explications des comportements

La construction des hypothèses, se fait par rapport aux comportements récurrents à partir d'une série de questions. Il est important de rester objectif, d'avoir du recul. Réfléchir par rapport aux évènements, ce que les gens en disent et ce qu'on en déduit.

### 2.4 - Les relations entre modèles théoriques, représentation de l'individu au travail et modalités de management

Il existe deux approches des fonctionnements organisationnels :

- Comprendre ce qui est observé :observation simple, sans jugement
- Changer ce qui est : dire de qui ne va pas

=> il faut faire les deux dans le dossier !

Les modalités de management, elles, tendent à modifier la réalité pour obtenir l'obéissance : les gens le veulent bien. On corrige ainsi ce qui ne va pas et qu'on a observé & analysé grâce à la socio.

La sociologie donne un éclairage, le management improvise et s'adapte à ces situations.

### 2.5 - L'intérêt de la sociologie des organisations

Elle permet une compréhension des comportements humains dans les orgas. 

Attention, elle doit rester relativement neutre pour obtenir ses conclusions. Elle implique un renouvellement du regard, une distanciation des jugements spontanés.

Elle permet également de comprendre plusieurs éléments inhérents aux relations humaines dans l'orga, indépendamment des règles, de la rationnalité. il ne faut pas chercher les responsables des dysfonctionnements, mais les cause, faire une approche systémique. Il y a de toute façon des conflits dans un groupe !

Il y a un renouvellement dans la façon de penser le changement. Il n'est plus simplement du à l'insertion de nouvelles règles mais prend en compte la dimension psychologique des individus (théorie de la motivation au travail). Il est aussi appréhendé à partir du système des relations de pouvoir entre les individus : on change les règles qui génèrent ces relations de pouvoir (le pouvoir n'est pas toujours dans les mains du chef !).

En gros : la socio des orgas part du principe qu'on passe l'essentiel de notre temps dans des organisations, et que toutes ces organisations différentes vont avoir des problèmes communs.

## 3 - Les éléments fondateurs d'une structure organisationnelle

### 3.1 - L'ère pré-moderne

Les premières grosses activités humaines étaient bien badass : pyramides, muraille de Chine, cathédrales... il a fallu beaucoup de gestion, de centralisation, d'organisation, de conduite de projet. 

### 3.2 - Adam Smith

Spécialisation du travail, vu l'année dernière. Pour spécialiser le travail, on a besoin de coordonner. 

### 3.3 - Application au management : les ressources et compétences

Ces deux éléments sont nécessaires à la réalisation des objectifs. On définit donc les compétences dont on a besoin en tant que chef, une fois le périmètre des opérations nécéssaires établi.

Le principe de spécialisation se traduira ensuite par une série de questions, comment : diviser le travail, définir les postes...  
...Attribuer des moyens : à qui ? selon quels critères ?   
...Recruter des compétences : la définition de poste doit se faire à partir du travail, non des gens.  
...contrôler le travail : idéalement, chacun vérifie son travail au plus possible.

### 3.4 - Le principe de la coordination (ou intégration) des activités

L'objectif est de réduire les effets de la différentiation : parties de l'organisation qui placent leur activité au dessus de celle des autres. Différentiation et intégration sont complémentaires mais opposées ! La coordination est ainsi "l'autre face" de la spécialisation. 

### 3.5 - La distribution des rôles

La coordination des parties passe notamment par la culture d'entreprise : des valeurs communes, et la méthode de conduite de projet. 

# II - L'école classique

## 1 - Le contexte socio-économique de la fin du XIXème siècle

Frise chronologique sur PDF, montrant les grands jalons des entreprises, les différentes crises survenues, et l'arrivée de outils aux différentes périodes.

On se base sur le contexte socio-économique des États-Unis.

Àla fin du XIXème, début du XXème, plsueiurs phénomènes se développent : 

- Développement des luttes ouvrières et naissance du capitalisme (il était à l'époque interdit de se réunir entre ouvrir pour causer de ce qui n'allait pas)
- Contrôle effectué par les ouvriers qualifiés du processus de production : seuls à détenir un savoir, ils rechignaient à transmettre leurs connaissances pour garder le pouvoir.
- Forte mobilité des ouvriers et importante syndicalisation des ouvriers qualifiés
- Forte immigration offrant une main d'oeuvre massive mais non qualifiée : pendant que les hommes crevaient dans les tranchées, les femmes crevaient au travail à se faire exploiter.
- Grosse montée de la défense des droits des travailleurs, notamment grâce au _Noble and Holy Order of the Knights of Labor_

Face à ça, le patronnat a cherché des méthodes de rationnalisation, des techniques de travails permettant. Ils veulent en effet garder le pouvoir, qu'ils sont en train de perdre. Ces méthodes permettent de déposséder les ouvriers qualifiés "essentiels" pour les remplacer par des méthodes de travail que chacun peut faire. 

L'évolution de la mécanisation et de l'automatisation se fait également dans ce sens en limitant des modifications possibles sur les machines par les ouvriers qualifiés

## 2 - L'école classique

### 2.1 - Frédéric Winslow TAYLOR

On va gentiment découvrir que c'était un bon gros batard. Le gars démarre simple manœuvre et finit chef de service, puis consultant en fin de carrière. Il développe des techniques partir d'un incompétent et le rendre rapidement efficace. Il pose pour cela 6 principes fondamentaux :

1. **L'optimisation de la manière de travailler au cours du temps** : observer pour trouver, à terme, la meilleure pratique pour chaque tâche
2. **L'analyse scientifique du travail** : poser un œil scientifique pour remplacer les connaissances empriques des ouvriers. Amène à décomposer chaque tâche en un nombre précis de gestes avec temps assigné à chacun.
   Force les gens à travailler selon la méthode qui parait la plus efficace.
3. **La division des tâches** : décomposition puis spécialisation. L'ouvrier spécialisé est une quiche, c'est l'inverse d'un ouvrier qualifié. Avec le développement du taylorisme on trouve de plus en plus d'ouvriers spécialisés, ils ont une vie misérable. Les ouvriers deviennent facilement remplaçables.
   C'est une forme de déshumanisation du travail, il est avilissant. Le taylorisme est alors poussé à l'extrême.
4. **La séparation de la conception et de l'exécution du travail** : des employés qualifiés conçoivent des méthodes, puis des petits bras les exécutent. Imposer une méthode et la faire appliquer implique toutefois un contrôle : on en arrive au développement d'une hiérarchie intermédiaire. La discipline est importante, et induite avec le taylorisme.
   C'est un système qui a perduré, avec une amélioration des conditions de travail des petits bras pour quelque chose moins avilissant.
   Il se développe ainsi de nombreux experts, mais sur des domaines très précis.
5. **La sélection scientifique** : réflexion pour typer le candidat idéal au poste. Ça permet de cibler, sans ça on va se retrouver avec n'importe quels candidats qui postulent. Plusieurs fomres de test en ont découlé, l'un fameux : le test IPV (à la base pour les commerciaux).
   Dans notre contexte, c'est le moment où il faut se tourner vers la RH qui va pouvoir nous aider à faire cette sélection.
6. **La rétribution et la conception économique de la motivation au travail** : Mise en place d'un système incitatif, plutôt que linéaire. La rétribution est basée sur un système différentiel en fonction de la production, basé sur un chiffre idéal à obtenir des ouvriers. 
   Attention cependant, les emplyés peuvent se griller à vouloir trop se dépasser par appat du gain, et il ne faut pas non plus mettre un chiffre toujours de plus en plus haut.

On retrouve le taylorisme chez Mc Donald : plein de petits étudiants qui sont autant d'ouvriers non qualifiés qui viennent pour exécuter des tâches simples. Notion de hiérarchie intermédiaire très forte là-bas.

### 2.2 - Henri FORD et le travail à la chaine

Utilisation du principe des tâches individualisées, de la division du travail. Henri Ford impose dans la chaine une cadence automatique. Les ouvriers ne sont plus acteurs de la cadence de la chaine.

Grâce à ça Ford baisse drastiquement son prix de revient et donc son prix de vente, et chaque américain ou presque est en mesure de se payer une Ford.

### 2.3 - Jules Henri FAYOL et l'Administraiton

C'est le **père du management moderne**. Il publie un ouvrage _Administration industrielle et générale_ où il fait part de son expérience. Ses concepts peuvent être repris dans de nombreux domaines. Contrairement à Taylor, la plupart de ses concepts sont encore d'actualité.

Il se base sur 14 principes d'administration :

1. La division du travail
2. L'autorité et la responsabilité (assumer ses ordres)
3. La discipline; l'indiscipline pouvant être reprochée au chef
4. L'unité de commandement : chaque personne a un chef et un seul
5. L'unité de direction : un seul chef pour l'ensemble des opérations afin de tendre vers un même but
6. La subordination des intérêts particuliers : tout ce qui nous intéresse en tant que personne passe après l'intérêt collectif, celui de l'entreprise.
7. La rémunération : au prix du service rendu. La valeur est subjective et dépend des besoins immédiats de l'entreprise. Il n'y a aucune norme existante.
8. La centralisation
9. La hiérarchie
10. L'ordre : matériel ET social
11. L'équité : fondamentale pour des bonnes relations avec le personnel
12. La stabilité du personnel : possibilité de faire des cycles (genre en trois ans : 1 je découvre, 2 je performe, 3 je bouge)
13. L'initiative : liberté de proposer et d'exécuter. Les chefs doivent accepter les propositions et suggestions
14. L'union du personnel : via une bonne communication, pour éviter les conflits

La vision du chef de Fayol est encore d'actualité. Ils doivent posséder des compétences acquises par l'expérience et la formation. Être chef se mérite. Il recommande les qualités suivantes :

- Santé et résistance physique
- Intelligence et vigueur intellectuelle
- Qualités morales (volonté, persévérance, audace...)
- Forte culture générale
- Large compétence dans la profession spécifique de l'entreprise : il n'est pas spécialisé, au contraire !
- Connaissances de gestion
- Art de manier les hommes

Fayol pose aussi 5 éléments d'administration, le POCCC :

- Planifier
- Organiser
- Commander
- Coordoner
- Contrôler

Enfin il propose tout un outillage administratif (voir sur PDF), qui sont des outils de gestion permettant d'administrer l'organisation.

En comparaison avec Taylor qui est dans l'univers productif, le microscopique, Fayol est tourné vers l'humain, le macroscopique et recommande la mesure, l'adaptabilité permanente.  
Fayol est humaniste, il investit sur les gens alors que Taylor cherche à les rendre remplaçables, il les déshumanise.

### 2.4 - Karl WEBER et le modèle bureaucratique

Il s'agit du seul jusque là qui ne vient pas du monde de l'entreprise : c'est un universitaire. 

Philosophie très axée sur l'humain : le chef par exemple, doit se considérer comme égal à ses collaborateurs.

Il distingue plusieurs trypes d'autorité :

- traditionnelle, qui vient des actes : personnalité remarquable et historique dans une localité par exemple
- charismatique, que les gens vont "suivre" : personne exemplaire par exemple
- rationnelle, légitime : un directeur de section par exemple

Weber va également mettre en avant les limites de ces personnalités. La traditionnelle peut par exemple mener au népotisme.

Deux concepts : le légal et le légitime. L'un est conforme aux lois, l'autre est acceptable aux yeux de la population. Légitimer est donc très important !
Ça permet notamment d'éviter le népotisme : donner des récompsense imméritées et démesurées à ceux qu'on aime/membres de la famille (ex. fils de Sarkozy).

Weber tient à la **bureaucratie** dans un sens qui lui est propre : le pouvoir du bureau. Il faut pour cela passer la division du travail, la légitimisation, la définition de la hiérarchie, des relations impersonnelles.  
On va retrouver là dedans les principes d'action de la domination légale :

- Suprématie de la règle de droit, imposée par la personne qui a autorité pour le faire
- Respect de l'autorité démocratique, chacun doit avoir liberté de parole
- Responsabilité officielle, le manager agit au nom du droit commun et non de sa personne
- Égalité des citoyens
- Traitement équitable des citoyens
- Régularité procédurale, pas d'arbitraire

Le modèle bureaucratique marche bien mais surtout dans les grandes boites. Ses caractéristiques :

- La division du travail
- La hiérarchisation du travail
- La sélection formelle : des membres en fonction de leurs compétences
- Les règles et normes formelles : le manager ne fait pas de cas par cas. Attention, ça peut écraser l'employé parfois, si c'est inadapté. Se tourner alors plutôt vers Fayol (avoir de la demi-mesure, pour ne pas être trop procédural).
- L'impersonnalité : règles et contrôles uniformes pour tous
- L'évolution professionnelle

### 2.6 - Quelques concepts de base découlant de l'école classique

La **chaîne hiérarchique**  : ligne d'autorité continue des échelons les plus élevés aux plus inférieurs.  
Elle implique un rapport de dépendance entre eux.

L'**unité de commandement** : chaque employé a un et un seul manager (cf. Fayol)

La **quête de rationalité** : règles explicites permettant de maîtriser les incertitudes et aléas.  
Exemple des notes de frais : le dir financier envoie la nouvelle procédure, avec explication par étapes, pour se les faire rembourser  
La quête de rationalité a deux opérations :

- Faire l'inventaire de tous les problèmes que l'orga peut rencontrer
- Définir les meilleures réponses niveau efficacité

## 3 - L'école des relations humaines

### 3.1 - Introduction à l'école des relations humaines

Ici, l'argent n'est plus seul moteur de la motivation. C'est ce qu'étudier cette école. On va retrouver les 3 leviers. 

Les préceptes de l'école sont que les gens cherchent :

- un cadre de vie satisfaisant
- l'appartenance à un groupe où il sont reconnus
- à assouvir des besoins fondamentaux de communication, d'échange, de stimulation positive...

Permis les personnalités de cette école, **Robert OWEN** est père fondateur du mouvement coopératif. Il a une vision très utopique du travail et le pousse jusqu'à créer des communautés qui ne fonctionnent pas au final car pas de police pour gérer les fouteurs de merde.

On retrouve aussi **Hugo MUNSTERBERG** contemporain de TAYLOR. Il a notamment été le premier à proposer des méthodes permettant d'analyser les métiers et les performances des individus. Lui, c'est le père de la psychologie industrielle. Selon lui, il faut s'adapter à chacun pour savoir appuyer sur les bons leviers de motivation.

Et enfin **Elton MAYO**, le plus emblématique car il a beaucoup écrit. Il a mené beaucoup d'expériences pour trouver ce qui impactait la motivation dans une entreprise, en faisant des sorte de AB testing : il modifiait un élément et observait le rendement. L'aboutissement d'une série de ces recherches est que donner de l'autonomie aux individus est souvent bénéfique. Ses principaux résultats on démontré l'existence :

- d'une motivation, liée à l'attention des chercheurs pour les travailleurs

- d'une vie sociale, et de vie de groupes dans le milieu professionnel

- d'influence sociale, au sein de ces groupes jouant sur les normes de productivité

- de motivation, liée à cette vie de groupe et aux facteurs affectifs

### 3.2 - La théorie des besoins

#### 3.2.1 - Les théories du contenu

Elle cherche à identifier les facteurs de motivation. Repose sur une hypothèse : les besoins sont d'ordre physiologiques, psychologiques ou sociologiques. Si un besoin n'est pas satisfait, ça implique une tension et un mécanisme qui vise à réduire celle-ci. 

**Abraham Maslow** (1908-1970), on connaît sa pyramide (pyramide des besoins). Elle a cinq niveaux :

1. À la base, besoins physiologiques
2. Besoins de sécurité et de protection
3. Besoins d'appartenance, besoins sociaux de faire partie d'nue "tribu"
4. Besoins d'estime de soi
5. Besoins d'auto-accomplissement (se réaliser à travers une œuvre, un engagement)

5 principes d'utilisation de la pyramide : 

- principe d'émergence : ils sont hiérarchisés, on monte ou descend dedans en fonction situation. Une fois un besoin inférieur assouvi on passe au supérieur. 
- principe de dominance : lorsqu'un besoin est assouvi, il n'est plus motivant, c'est le supérieur qui le devient. 
- principe de frustration : le non-assouvissement d'un besoin accroît sa force motivante.
- principe d'insatiabilité : le niveau d'aspiration s'élève lorsque les besoins sont satisfaits
- principe d'identification : les normes sociales définissent les niveaux d'aspiration

Frédérick **Herzberg** et les 3 attentes fondamentales :

1. L'équité pour l'emploi
2. Les relations de travail
3. Les situations de travail

Ils entretiennent la motivation

#### 3.2.2 - Les théories du processus

La **théorie du renforcement** apporte la notion du conditionnement opérant concept développé par Skinner, s'intéresse à l'apprentissage dont résulte une action (si tu conduis mal, tu auras une amende). Ce conditionnement se distingue du classique (conditionnement répondant). On s'intéresse alors aux apprentissages lié aux stimuli positifs ou négatifs qui découlent d'une action. Il identifie 4 techniques de modification du comportement :

- L'extinction (absence de conséquence suite au comportement)
- Le renforcement négatif (élimine une conséquence indésirable par évitement de la sanction : fuite, peur...)
- La punition (présentation de conséquences indésirables juste après comportement)
- Le renforcement positif (fait intervenir des conséquences désirables juste après comportement)

La **théorie des attentes** de Victor Vroom (1964). Selon cette théorie, la motivation est liée à la probabilité que la personne évalue d'atteindre une conséquence positive pour elle. Sa théorie est beaucoup plus dans l'intellect, y a des formules et tout.

4 notions :

- Force motivationnelle **F**
- Attente **E** : ce qu'on espère atteindre
- Instrumentalité **I** : ce qu'on a en retour 
- Valence **V** : valeur de ce qu'on obtient

Ce sont des appréciation très subjectives, difficiles à utiliser au quotidien selon Nogret. 

La **théorie de l'équité** de John Stacy Adams (1965). La notion de justice, d'injustice, vient de la comparaison avec d'autres. Il n'y a pas de rapport entre ce que je vaux et combien je suis payé, c'est selon le ressenti. Certaines boites interdisent même de communiquer sa paye à ses collègues : c'est un biais de motivation.

Le processus de comparaison est paradoxal : on se compare à des gens du même bureau/même site. Si ce contexte est différent, la comparaison ne tient souvent plus. L sentiment d'injustice qui peut naître s'accompagne de deux réactions : culpabilité pour l'avantagé, colère (révolte) pour le désavantagé. Elles sont proportionnelles à l'ampleur de l'injustice.

Chaque personne fait une balance entre ce qu'il investit et ce qu'il obtient dans son travail. À partir de ça il en tire une motivation.

En conclusion, la motivation est quelque chose qui se construit sur la durée. Elle n'est pas un trait de personnalité, c'est un processus complexe dans lequel interagissent en permanence besoins, valeurs, contraintes culturelles, organisationnelles et économiques.

### 4 - L'école de la contingence

#### 4.1 - Le modèle situationnel de Hersey - Blanchard

Rappels de l'année précédente : types de collaborateurs en fonction motivation et compétence.

#### 4.2 - Les styles de management adaptés aux situations

Rappels de l'année précédente : types de manager en fonction type collaborateur

Capitaine - Coach - Arbitre

Alignement - Appropriation - Appui

L'école des relations humaines apprend donc à **adapter le style à la situation**.

### Herbert Simon & la rationalité limitée

Les conditions qui poussent les entreprises à décider sont rudimentaires : on ne dispose pas de tout les éléments. On tombe du Xe étage en disant "pour l'instant tout va bien". On ne prend pas la meilleure décision du monde car on a pas tous les éléments. Il faut savoir revenir dessus. c'est la rationalité limitée.

