**_03/09/2018_**

# Introduction

Le cours de Management des Hommes est dans la continuité de ce qu'on a vu l'année dernière. Couplé au cours de sociologie des organisation, on aura une vision complète de ce qui peut se passer en entreprise.

## Dossier

### Les détails

La note de la matière sera faite à partir d'un **dossier à rendre**

- **Deadline** : 12 mars 2019
- **20 pages** minimum
- **Format titre** : mg2 NOM Prénom.docx

Il devra être en deux parties : 

- La première, très carrée au niveau de ce qui est attendu
- La deuxième est plus ouverte, ce sont juste des pistes qui sont données

Le modèle allemand que l'on suit dans le film est plutôt cool, c'est un exemple à suivre et sur lequel s'appuyer à l'avenir (tout en respectant notre culture).

Le travail effectué en M1 sera nécessaire pour élaborer le dossier.

### Le flim

Il s'agit d'une immersion dans 7 boites fonctionnant en management collaboratif. 
Permet de se poser les questions suivantes : 

1. Comment bien gérer une entreprise ?
2. Que doivent déployer les entreprises pour apprendre aux jeunes à diriger, et améliorer les compétences des anciens ?
3. Que disent les comportements, les locaux, la décoration sur l'entreprise et les relations entre patrons et employés ?

### Plan

1. Préambule sur l'analyse des pratiques de management - 5pts
2. Les scènes marquantes au niveau professionnel - 5pts
3. Capitalisation et retour d'expérience - 10pts (non lu si les parties 1 et 2 ne sont pas correctement traitées)

La partie 1 est une présentation globale, en particulier :

- du réalisateur : c'est parce que le réalisateur est ainsi que son film est ainsi. La façon dont il a filmé, ce qu'il a choisi de montrer nous montre ce qu'il est. 
- Des personnages
- Des thèmes abordés dans chaque scène

La seconde partie analyse le comportement des gens. Il y a des indices dans tout : posture, ton, **regard**, vocabulaire... On s'intéresse également au vécu des personnages : les besoins apparents que l'on comprend à partir de ce que l'on voit. Ces besoins sont-ils opposés à ceux de l'entreprise ? Puis le contexte de travail (on devrait y retrouver beaucoup de choix lents, de temps de réflexion importants) et enfin en synthèse, 20 concepts définissant / récapitulant le film et sa compréhension (slow down...)

La dernière partie cause de la capitalisation. Je me suis endormi à cette partie du cours (c'est déjà un miracle que j'ai tenu jusque là). On conclut enfin sur le rôle de cadre - en général et dans le film. On a le droit de donner son avis et de dire par exemple

 "moi, je ferais ça, et je suis prêt à partir si l'entreprise ne veut pas".

## Plan de l'année 

1. Adaptation émotionnelle
2. Dynamique des conflits en entreprise
3. Violence au travail
4. Pilotage du changement
5. Management interculturel
6. Aguerrissement du manager

## Bibliographie

À lire : Daniel Porot, *Comment trouver une situation et décrocher le job de ses rêves*

# I - L'adaptation émotionnelle

Objectifs : tirer parti de l'émotivité, exploiter les émotions. On peut pour cela réutiliser ses bons souvenirs dnas des instants difficiles pour se détendre. 

Il est important de connaître ses points faibles, cela permet de s'améliorer. Également savoir se tourner vers son équipe et la mettre à contribution pour régler les problèmes. 

## 1 - Les émotions

### 1.1 - Le contexte historique

On partage tous des émotions dans le monde. Ce qui change, c'est la façon de les exprimer, et leur source, selon les cultures. 

Historiquement, on considère que les émotions empêchent d'analyser rationnellement les choses (Platon, Descartes, Weber). Ça donne aujourd'hui le principe du "laisser ses émotions à la maison" : les émotions liées à la vie perso n'ont pas leur place au travail. Mais dans le contexte actuel la santé mentale aui travail se détériore !  Il a de plus en plus de pression à plusieurs niveaux : **anxiété, ennui, Inquiétude, détachement, inaptitude**...

### 1.2 - L'affect, l'humeur et l'émotion

3 concepts qui diffèrent :

- L'affect est plus global, lié à un caractère, un trait de caractère...
- L'humeur est quelque chose de diffus, de léger mais de durée plutôt importante
- L'émotion est temporaire, forte, déclenchée par un évènement puis réglée ensuite. Plutôt de courte durée. "Réaction aigüe et transitoire".

L'affect englobe humeur et émotion. Il peut être l'un ou l'autre.

### 1.3 - Caractéristiques des émotions

L'émotion se crée par confrontation à une situation, et à l'interprétation de la réalité. Elle a plusieurs composantes : situationnelle, cognitive, physiologique.

La peur est définie comme une aversion irrationnelle à un danger inattendu. En conséquence, donner une réalité à ce que l'on imagine fait défendre la peur.

On retrouve 4 phases dans ce processus émotionnel :

- L'anticipation : en espérant prévenir un danger ou améliorer situation
- La provocation de l'émotion : met en marche un processus d'évaluation des stimulis. Le
- La préparation de l'action : l'émotion provquée suscite une tendance à l'action et à diverses conduites d'adaptation
- L'état émotionnel : reflète évaluation de la relation entre personne et son environnement

Le stimuli peut venir de quelqu'un d'autre qui communique sa peur. >> Il faut prévenir ça avant que la personne ne communique sa peur à tout le monde.

On retrouve l'état d'équilibre à la fin de la phase 4.

### 1.4 - La fonction des émotions

Les émotions permettent de donc de s'adapter aux changements environnementaux et aux enjeux sociaux.  
Les émotions sont les mêmes dans toutes les cultures, néanmoins la façon dont on y arrive (le déclenchement) est différente.

Liste des émotions et roue intéressante sur PDF.  On abserve sur la roue des émotions de bases, et d'autres issues de la combinaison de deux émotions.  
La timidité est différente de la pudeur !  

L'émotion est contagieuse, c'est son but d'être communiquée.  
Exemple avec le syndrome du survivant quand on est le seul à rester alors que tout le monde démissionne : **aveuglement**, on se convainc insidieusement que nous aussi on aurait du partir alors qu'en fait non, rien à voir.  
=> L'émotion trompe notre entendement.

### 1.5 - La roue des émotions de robert Plutchik

À voir sur PDF. de l'extérieur vers l'intérieur : du moins fort au plus fort. On observe donc une notion de nuance.  
Plusieurs combinaisons possibles, tableau assez riche. En cas d'opposition, on retoruve un conflit émotionnel : ces deux émotions ne devraient pas être là ensemble. Il faut alors arriver à trouver laquelle des deux n'a rien à foutre là.

### 1.6 - Émotions et conscience

Certaines émotions méritent d'être creusées. Leur niveau de conscience dépend du niveau d'introspection. Cette dernière permet d'éviter les préjugés et de s'améliorer sur ce qui déclenche chez nous des réactions inadéquates.

On observe un cercle vertueux entre émotions positives des employés et résultats financiers de la boite. On peut avoir des résultats sans mais le risque de turn-over augmente.

Le quotien intellectuel est souvent surévalué. Le Quotien Émotionnel, par contre, est nécessaire. Il en faut avec le QI : mieux vaut un plus petit QI avec du QE qu'un gros QI seul.

Deux styles de manager derrière : le gestionnaire (QI), le leader (QI + QE)

## 2 - La santé émotionnelle au travail

### 2.1 - Le modèle des 9 états émotionnels de Charles-Henri Amherdt

On se sert de plus en plus de notre tête au travail. Conséquence : les travaux manuels sont pour se détendre.

Les 9 états sont définis en fonction du défi que représente la tâche et de ma compétence qu'on a pour l'effectuer. Il en résulte un intérêt porté à la tâche et un état émotionnel.

| Compétence \ Défi et intérêt | Faible                                                       | Moyen                                                        | Élevée                                           |
| ---------------------------- | ------------------------------------------------------------ | ------------------------------------------------------------ | ------------------------------------------------ |
| **Faible**                   | Indifférence<br />Démobilisation totale, passivité           | Inquiétude<br />Appréhension car non maîtrisé                | Anxiété<br />Appréhension car non maîtrisé       |
| **Moyenne**                  | Détachement<br />On ne maîtrise pas totalement mais tâche non stimulante | Neutre<br />Pas d'émotion particulière                       | Excitation<br />Fébrilité car maîtrise partielle |
| **Élevée**                   | Ennui                                                        | Maîtrise<br />Un défi de meilleur niveau nous rendrait peut-être plus créatifs | Flow<br />Bien être et performance               |

La neutralité est positive : "Ça va".  
En situation d'anxiété, il faut demander de l'aide !  
L'indifférence rejoint le désengagement  
Le détachement indique qu'on a affaire à un "bullshit job" : ça sert à rien !  
La maîtrise c'est OK : ça se passe bien.  
Le flow c'est l'idéal : au top, on prend son pied

Épuisement professionnel : Attention au burn out ! On peut charger en travail un employé si on fait attention à ne pas dépasser ses limites. Être attentif et bien calibrer. Laisser entrer un employé en burn out relève de l'erreur con, c'est rarement volontaire.  

Roue sur PDF indiquant les implications des différents états.

Ces états émotionnels sont liés à la stimulation ! Une sous-stimulation indique que le chef n'est pas un leader.

**La boussole du manager** : éléments pour être un bon manager

- Regarder les 4 facteurs d'indices de détrsse psychologique. Les gens sont-ils :
  - anxieux ?
  - dépressifs ?
  - irritables ?
  - à problèmes cognitifs
- Offrir des posts "sus-mesure" aux employés pour qu'ils se réalisent
- Soutenir au moyen des **4 formes de soutien :**
  - **Qualité et quantité des infos données**
  - **Empathie et écoute** lors des problèmes
  - **Ressources fournies** pour bien travailler
  - **Retour régulier** sur la qualité du travail
- 3 sources possibles de soutien
  - manager direct (ou par substitution en cas d'absence)
  - les collègues (équipe en réseau, 4C !)
  - services support

La problémtique est : comment faire pour stimuler les gens et améliorer les émotions ? Les 9 états sont intéressants pour guider vers le flow, en adaptant pour chacun. 

Les causes d'épuisement : à voir sur PDF car illisible en cours et sur poapier. Il en existe en tout cas deux types de facteurs : individuels et interindividuels.

### 2.2 - Les composantes de la santé émotionnelle

Une bonne santé émotionnelle est représentée par un ressenti régulier d'émotions positives, en particulier le flow. Elle s'appuie sur deux notions :

- Santé mentale
- Intelligence émotionnelle (le QE entre en compte, ici)

L'intelligence émotionnelle, c'est arriver à sentir venir les émotions et les entendre sans les laisser nous submerger. Elle a 5 composantes :

- La conscience de soi : arriver à identifier quand ça monte, et quelle émotion
- La gestion des émotions : savoir sadapter, réagir efficacement
- La motivation de soi :  canaliser les émotions, maîtriser ses pulsions, ne pas être rigide. Il es timportant de s'habituer à la frustration.
- La maîtrise des relations humaines
- L'empathie

Les deux derniières composantes sont tournées vers l'autre.

Les compétences techniques (savoir, savoir-faire) et non techniques (savoir être) jouent aussi un rôle dans la santé émotionnelle. 

### 2.3 - Qu'est-ce que le stress ?

Il s'agit d'une réponse non spécifique (inadaptée) à une émotion pour aider l'organisme à faire face.

On peut ainsi résister un moment à l'élément stressant, jusqu'à un certain seuil ou résolution de l'élément, puis grosse baisse d'énergie : épuisement.

### 2.4 - Les sources de stress

On appelle ces cause les stresseurs :

- le travail : surchage, complexité. Pour se débarasser de la surcharge, demander à réorganiser son travail, savoir dire non.
- les rôles : conflits, ambiguités. Il faut faire attention aux doubles casquettes incompatibles : il faut choisir.
- les relations professionnelles : conflits, harcèlement. Les batailles doivent être interdites : ça fout la merde !
- la carrière : promotion rapide, rétrogradation
- l'équilibre travail/vie privée

**Le modèle demande/contrôle de Karasek**

Évalue le niveau de stress en fonction de deux éléments :

- demande psychologique (exigences, niveau de performance)
- latitude décisionnelle (marge de manœuvre, diversité des compétences)

On en tire le tableau suivant :

| Latitude décisionnelle \ Demande psychologique | **Faible**                                                   | **Élevée**                                                   |
| :--------------------------------------------- | ------------------------------------------------------------ | ------------------------------------------------------------ |
| **Faible**                                     | Emplois passifs<br />Pas de stress mais abêtissant           | Emplois à haute tension<br />Fort stress : gros objectifs et pas moyen de faire autrement |
| **Élevée**                                     | Emplois à faible tension<br />Stress inexistant. Boulot pour "babsou fumeur de joint" <br />(note : il cite quand même un berger) | Emplois actifs<br />Peu de stress car stimulant et possibilité de s'adapter à la difficulté |

### 2.5 - Les conséquences du stress

Contexte : la santé mentale. Elle doit comporter **à la fois** une absence de réactions ou symptomes négatifs et des manifestations positives. 

Des problèmes dans cette santé mentale sont indiqués par des signes qui doivent nous alerter :

- consommation plus élevée de médicaments, d'alcool
- déterioration d'indicateurs de performance dans le travail : absentéisme, accidents, conflits, harcèlement...
- difficulté à sortir du lit le matin (plus que d'habitude)

Le stress implique des symptômes

- physiologiques : fatigue même au réveil après une grosse nuit, tension musculaire dans tout le corps, le stress crispant les muscles...
- psychiques : diminution ou perte d'intérêt, même sur des tâches cool...
- comportementaux (ressemblent presque à dépression) : évitement des situation exigeantes (pour un jeune l'accompagner, pour un vieux lui foutre la paix)... 

Suite au stress des problèmes poeuvent subvenir de deux façons 

- niveau : gros pic en peu de temps
- durée : intensité sur une période trop longue

et causer des maladies psychosomatiques (qui n'ont pas d'origine, dans la tête) et des troubles de santé mentale.

### 2.6 - Les stratégies d'adaptation face aux situations anxiogènes

Anxiété : anticipation d'un danger ou malheur, accompagnée de dysphorie (alternance entre angoisse et exitation excessives).

Pour se calmer dnas une situation anxiogène, on peut réagir de façon non-constructive :

- Psychorigidité : attitude intransigeante pour empêcher de menacer des valeurs
- Focalisation : comportement obsessionnel pour protéger des valeurs vulnérables

ou de façon constructive :

- expansion de la conscience  : introspection et analyse pour comprendre quelles valeurs auquelles on tient sont menacées, et s'adapter
- rééducation : réévaluation des buts afin d'agir de façon responsable et réaliste en fonction de ses valeurs.

# II - La dynamique des conflits en entreprise

Objectifs :

- Distinguer les grands types de conflits
- Identifier les conflits potentiels et les prévenir
- Gérer le conflit et en sortir
- Travailler le positionnement du médiateur/arbitre

## 1 - Identification des conflits

### 1.1 - Définition des conflits au travail

Comportements et réactions émotives et cognitives qui commencent quand une partie se sent lésée ou s'apprête à l'être par une autre partie

Il s'agit souvent d'une question de perception. D'un œil extérieur, il parait souvent puéril. La notion de conflit est lié à celle de communication. Faire en sorte que les choses soient calmes, posées, pondérées aide à calmer le jeu. 

Face à un conflit dans une équipe, la désapprobation du reste de l'équipe est souvent ressentie.

### 1.2 - Étymologie

Ça vient d'une divergence, un antagonisme entre deux personnes qui veulent une même chose.

La tension, c'est le début du conflit : tendre, contraction. On serre les points, premiers signes d'énervement.

La violence indique que le conflit est déclaré : emporté, impétueux.
Un manager doit être mesuré, retenu >> **jamais de violence**

### 1.3 - La nature des conflits au travail

À différencer : les conflits latents, ou à "petit bruit", qui sont très destrcuteur car explosent très fort ; des conflits aigus, qui sont déclarés et pètent un bon coup.

On retrouve deux grandes natures de conflits :

- conflits de fond : désaccord sur la fin et les moyens, points de vue différents
  - conflits de rôle,  (ex : une personne ne répond pas aux attentes du groupe)
  - conflits d'objectifs (ex : désaccord sur objectifs atteints)
  - conflits de ressources (ex: deux équipes qui veulent la salle dé réunion au même moment)
  - conflits de pouvoir (ex : OK pour qu'on me dise quoi faire, mais pas comment >> on a pas ce pouvoir sur moi)

Les conflits de rôles sont fréquents et peuvent arriver de différentes manières. Un moyen de les éviter est de redéfinir la définition de fonction (les chefs s'en occupent rarement, c'est plus à faire en tant qu'employé puis à faire valider).  
Parenthèse sur l'effet Rignlemann : il y a un nombre optimal de membres pour une tâche. Au delà, l'investissement de chacun baisse.  
Un conflit de rôle peut venir d'une surcharge ou d'une insuffisance de rôle  
Il y a souvent un écrat important entre le rôle tenu et le rôle confié. Ce qui est important, c'est de voir pourquoi, et donc où ça se situe. Est-ce entre rôles confié et perçu, perçu et accepté, ou accepté et tenu ? Comprendre ça permet de savoir quel est le manque. 

- conflits émotionnels : liés à des problèmes relationnels
  - conflits de personnalités, opposée ou identiques
  - conflits culturel, entre la culture d'entreprise et les valeurs personnelles

### 1.4 - Les types de conflits au travail

- conflits intra-personnels : nécessite de savoir se convaincre, voire se berner
- conflits interpersonnels : encore une question de valeurs
- conflits intra-groupes : entre un membre et le reste du groupe
- conflits inter-groupes

### 1.6 - Conflit constructif ou desctructeur

Le conflit destucteur seul a des retombées négatives. Exemples : deux personnes qui n'arrivnet pas à bosser ensemble ou un projet qui piétine car individus n'arrivent pas à s'entendre. 

Attention à ne pas mettre d'huile sur le feu en tant que manager, en dénigrant par exemple un autre service.

## 2 - Le diagnostic du conflit au travail

### 2.1 - Les phases du conflit au travail

- antécédents du conflits : conditions propices à son apparition
- conflit perçu : différents entre protagonistes
- conflit ressenti : impression désagréable poussant à agir
- conflit manifeste : exprimé ouvertement, souvent via comportements agressifs

Le conflit peut se résoudre temporairement en le supprimant, mais pour que la résolution soit complète il faut éliminer les antécédents.

Une fois le conflit manifeste, il faut passer à la purge : chacun vide son sac. La purge peut être bénéfique. 

### 2.2 - Les principales causes de conflit

Un conflit peut être :

- horizontal
- vertical
- interdépendant (tout le monde est responsable)
- lié à une insuffisance de ressources
- dû à une asymétrie de pouvoir ou de valeurs

### 2.3 - Le processus du conflit au travail

On y trouve 5 étapes

1. Opposition ou incompatibilité potentielle
2. Cognition et personnalisation. C'est là qu'on passe au conflit perçu, dès qu'une personne au moins se rend compte des antécédents. Tant qu'ils s'accumulent et que personne ne le capte, ça va encore, les choses se gâte quand c'est réalisé.
3. Intentions. Moment où il y a décidsion d'agir
4. Comportement. Ici le conflit devient visible. Selon la force, les comportements peuvent devenir très violents
5. Résultats. Le conflit peut être constructif ou destructif. Un conflit constructif peut améliorer la qualité des décisions, l'efficacité, l'innovation... Un destructif entrainer une baisse de cohésion, une perte de communication, il met la survie du groupe en péril.

### 2.4 - Comment savoir qu'il s'agit d'un conflit ?

Plusieurs points sont à observer, qui sont tous détaillées sur le PDF :

- le contexte
- les sources de conflit
- la classification selon les contraires. On peut ranger dans un diagramme plusieurs éléments en mode binaire. Quand ça en vaut la peine (que le conflit est assez grave), il est bon de faire un diagramme pour mieux comprendre et apprendre du conflit.
- les niveaux d'analyse.

Avec ces points on peut construire une grille d'analyse de conflit avec une colonne à remplir pour chauqe partie (voir PDF), ce qui permet de mettre les choses à plat.   

## 3 - Résolution des conflits en entreprise

### 3.1  - Introduction à la résolution des conflits

#### 3.1.1 - Rappel des différentes notions 

Un conflit est un désaccord sur des questions de fond. Sa résolution implique  que les deux parties soient gagnantes, sinon ça marche pas. Grilles de degré d'efficacité de la résolution et d'échelle de la synergie disponibles sur le PDF.

Modèle de Friedrich Glasl sur l'escalade d'un conflit montre qu'au stade le plus prononcé, un conflit amène à vouloir détruire l'autre, qui à se détruire soi-même (ou le groupe, la boite...)

#### 3.1.2 - Gérer l'agressivité par l'assertivité

L'agressivité est normale et naturelle. Elle a besoin de s'exprimer.

L'assertivité est l'aptitude à s'exprimer tout en respectant l'autre. Ça consiste à s'exprimer directement, sans détour, tout en considérant son interlocuteur.

Il faut donc préférer l'assertivité, et pour cela :

- être factuel, notamment en expirmant ses propres limites et son seuil de tolérance. Ne pas oublier que ceux en dehors du conflits le trouvent plutôt insignifiant. Rester factuel permet de rester calme et maître de ses moyens. 
- agir ensemble
- rassurer l'autre en comprenant sa crainte

L'assertivité, c'est savoir s'affirmer dans le respect. Il faut apprendre à la reconnaître, à l'identifier, pour ne pas basculer dans l'un des trois autres états ( bonne poire, agressif, roquet). Pour cela, être humble, avoir le sens de la mesure. Il faut être dur avec ses idées et doux avec les autres (voir graphique PDF).

Être assertif, c'est expliquer les raisons pour lesquels on est pas d'accord.

En Analyse transactionnelle, l'assertivité correspond à l'état du moi **adulte**. Analyse objective, factuelle, s'exprime posément.En communication para-verbale : voix posée, calme, régulière, regard direct et franc. En communication non-verbale : se tient droit, à distance convenable, détendu, ouvert à à l'écoute. Donner de l'autonomie, c'est inciter un mode adulte.

DESC : une méthode qui permet de changer l'état d'une situation, et de le ramener à un mode adulte/adulte. Les étapes pour l'utiliser :

1. Ne jamais laisser transparaître des émotions négatives communicatives (qu'on est saoulé de l'autre, stressé...). Restez ferme à l'égard de vos propres objectifs, garder son sang-froid, respecter le point de vue. 
2. Rester assertif : pas d'agression ni de manipulation. Expliquer pourquoi on exige ces objectifs, rester serein et instructif, continuer à défendre son opinion, même devant des interlocuteurs hostiles.
3. Utiliser le DESC (Décrire, Expliquer, Suggérer solutions, Conséquences de celles-ci)

C'est finalement assez proche de la CNV, mais pas exactement les mêmes étapes (Observation, Sentiment, Besoin, Demande).

Le DESC, c'est un truc cérébral. Bon exemple sur PDF, page 52 (papier).

#### 3.1.3 Résoudre un problème en 6 étapes

D'abord il faut être dans le bon état d'esprit : croire qu'une solution est possible.

Puis se mettre en position d'écoute de l'autre.

Ensuite, transformer le conflit en problème à **résoudre**

Faire une phase de négociation : l'heure des compromis. Si on joue franc-jeu et correctement la résolution, on capitalise pour le prochain conflit : on arrivera plus facilement à des solutions satisfaisantes.

Enfin, contractualiser : inscrire ce que les gens doivent faire pour arriver à cette résolution

Les 6 étapes :

1. Identifier le problème
2. Identifier le type de conflit
3. Utiliser les grilles d'naalyse
4. rechercher les solutions
5. Mettre en place les oslutions
6. Évaluer les solutions et le processus d'action

Schéma utile sur PDF.

### 3.2 - Les stratégies de gestion indirecte des conflits

#### 3.2.1 - Les points communs aux stratégies de gestion indirecte de conflits

Ne s'attaquent pas de front aux problèmes à l'origine du conflit  
Ne tentent pas de résoudre le conflit en réunissant les personnes concernées. 

C'est en quelque sort leurs inconvénients.

#### 3.2.2 - La dissociation : diminution de l'interdépendance

Restreindre voire éliminer les points de contacts entre les parties en conflitt

Créer des stocks tampons : 

Faire appel à une "courroie de transmission" : personne neutre qui va améliorer coopération, aider à la réalisation des tâches communes.

Utilisation d'intervenants extérieurs arbitres, médiateurs. 

Méthode du tiers :  recevoir les parties individuellement, collectivement, puis définir règle du jeu, reformuler positions de chaque partie, fixer le "plus petit objectif commun", enfin faire une mise au point sur l'évolution du débat en positivant.

#### 3.2.3 - L'appel aux objectifs communs

recentre l'attention sur objectifs, conclusion souhaitable pour tous. Interdépendance nécessaire pour cela. Attention cependant à ne pas laisser basculer dans dilution de responsabilité selon les cas.

#### 3.2.4 - Le recours aux supérieurs hiérarchiques

En cas de conflit, on a généralement affaire à de la mauvaise foi. Stratégie limitée.

#### 3.2.5 - La modification des scenarii et des mythes organisationnels

Comportements routiniers qui deviennent partie intégrante de la culture de l'organisation.

Doivent amener à admettre interdépendance et évacuer frustrations.

### 3.3 - Les stratégies de gestion directe des conflits

On va travailler sur le fond : l'objectif n'est plus de faire baisser les tensions mais de supprimer la cause du conflit.

#### 3.3.1 - Les issues possibles par la négociation

Schéma selon préoccupations : altruistes ou égoïstes

#### 3.3.2 - Les 3 situations qui ne font que des perdants

1. L'évitement ou la fuite : Faire l'autruche. On fait comme si le problème existait pas. 
   Adapté si le problème est pas important, que y a plus important à régler, ou si y a besoin de calmer le jeu en gagnant du temps (désescalade)
2. L’accommodation ou la démission : Faire le caméléon. Aplatir les divergences en se concentrant sur les ressemblances et les points d'entente.
   Adapté si l'enjeu est plus important pour l'autre parti, si on y gagne un "crédit" pour l'avenir, qu'on a eu tort ou qu'il y a une excellente harmonie entre les partis.
3. Le compromis. Solution moyenne pour les deux. 

#### 3.3.3 - La situation qui fait un gagnant et un perdant

4. L'affrontement : La contrainte. 
   Un parti impose sa solution en s'appuyant sur son autorité hiérarchique.

#### 3.3.4 - La situation qui ne fait que des gagnants

La collaboration



Schéma sur PDF avec ces 5 situations, en fonction du degré de coopération et du degré d'affirmation de soi.

# III - La violence au travail

## 1 - Le processus décisionnel et ses dérives

### 1.1 - Les 6 modes possibles pour prendre les décisions en équipe 

- Décision par absence de réaction. Idées qui se succèdent en vrac et décision si pas d'objection
- Décision par règle de l'autorité. Tour de table puis annonce par autorité de la décision
- Décision par règle de minorité. Des personnes compétences sont implicitement désignées par équipe pour examiner problème, trouver solution et la présenter au groupe
- Décision par règle de majorité. On consulte tout le monde via un vote ou en sondant les membres pour connaître opinion majoritaire. Attention : ça génère des clans de gagnants et de perdants.
- Décision par consensus. Discussion de groupe, échange, solution choisie est celle de la plupart des membres du groupe, rejoints par les autres. Pas forcément unanimité, mais ceux pas en accord ont du pouvoir s'exprimer et être écoutés.
- Décision à l'unanimité. Tout le monde est d'accord. 

### 1.2 - L'exercice de l'autorité et ses dérives

Les excès d'autorité passent par : 

- l'autoritarisme : cherche à s'imposer, abuser de son autorité.
- l'arbitraire : dépend de la seule volonté d'une personne, non justifié. Sorte de caprice du manager.
- la tyrannie : le manager seul détient le pouvoir et fait loi. Un homme, qui dirige seul.

Les renoncements à l'autorité existent aussi :

- le laxisme : la discipline s'y retrouve relâchée, idées larges.
- le laisser-aller : abandon de bonnes manières. Absence de contraintes, manque de rigueur, relâchement.

## 2 - La violence au travail

### 2.1 - Le concept de violence

Définition :

> Tout comportement qui blesse ou porte préjudice à autrui

-- Buss, 1961

La violence est évaluée par un jugement social : acte qui viole certaines normes culturelles.

